import { AcademicYearService } from './academic-year.service';
import { CreateAcademicYearDto } from './dto/create-academic-year.dto';
import { UpdateAcademicYearDto } from './dto/update-academic-year.dto';
export declare class AcademicYearController {
    private readonly service;
    constructor(service: AcademicYearService);
    findAllPublic(activeOnly: string): Promise<import("./academic-year.schema").AcademicYear[]>;
    create(dto: CreateAcademicYearDto, ctx: any): Promise<import("./academic-year.schema").AcademicYear>;
    findAll(activeOnly: string): Promise<import("./academic-year.schema").AcademicYear[]>;
    getCurrent(): Promise<import("./academic-year.schema").AcademicYear | null>;
    findForTopbar(ctx: any): Promise<{
        _id: string;
        name: string;
        label: string;
        displayLabel: string;
        isCurrent: boolean;
        isActive: boolean;
    }[]>;
    findOne(id: string): Promise<import("./academic-year.schema").AcademicYear>;
    update(id: string, dto: UpdateAcademicYearDto, ifMatch: string | undefined, ctx: any): Promise<import("./academic-year.schema").AcademicYear>;
    setCurrent(id: string, ctx: any): Promise<import("./academic-year.schema").AcademicYear>;
    setActive(id: string, active: boolean, ctx: any): Promise<import("./academic-year.schema").AcademicYear>;
    remove(id: string, ctx: any): Promise<import("./academic-year.schema").AcademicYear>;
}
